diff --git a/src/ravi_llvmjit.cpp b/src/ravi_llvmjit.cpp
index b5d79bef..37cfb884 100644
--- a/src/ravi_llvmjit.cpp
+++ b/src/ravi_llvmjit.cpp
@@ -59,7 +59,7 @@ RaviJITState::RaviJITState()
       size_level_(0),
       min_code_size_(150),
       min_exec_count_(50),
-      gc_step_(200),
+      gc_step_(300),
       tracehook_enabled_(false) {
   // LLVM needs to be initialized else
   // ExecutionEngine cannot be created
